package com.yunfeiyun.agmp.fms.domain;

import java.math.BigDecimal;
import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 变动申请物件对象 WmsChangeapplyitem
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public class WmsChangeapplyitem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 变动申请物件标识 */
    private String changeapplyitemId;

    /** 变化申请标识 */
    @Excel(name = "变化申请标识")
    private String changeapplyId;

    /** 货物标识 */
    @Excel(name = "货物标识")
    private String goodsId;

    /** 仓库标识 */
    @Excel(name = "仓库标识")
    private String warehouseId;

    /** 变动申请物件名称 */
    @Excel(name = "变动申请物件名称")
    private String changeapplyitemName;

    /** 变动申请物件类型 */
    @Excel(name = "变动申请物件类型")
    private String changeapplyitemType;

    /** 变动申请物件单位 */
    @Excel(name = "变动申请物件单位")
    private String changeapplyitemUnit;

    /** 变动申请物件规格 */
    @Excel(name = "变动申请物件规格")
    private String changeapplyitemSpec;

    /** 变动申请物件数量 */
    @Excel(name = "变动申请物件数量")
    private BigDecimal changeapplyitemNum;

    /** 变化申请物件单价 */
    @Excel(name = "变化申请物件单价")
    private BigDecimal changeapplyitemPriceunit;

    /** 变化申请物件总价 */
    @Excel(name = "变化申请物件总价")
    private BigDecimal changeapplyitemPricetotal;

    public void setChangeapplyitemId(String changeapplyitemId)
    {
        this.changeapplyitemId = changeapplyitemId;
    }

    public String getChangeapplyitemId()
    {
        return changeapplyitemId;
    }
    public void setChangeapplyId(String changeapplyId)
    {
        this.changeapplyId = changeapplyId;
    }

    public String getChangeapplyId()
    {
        return changeapplyId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setChangeapplyitemName(String changeapplyitemName)
    {
        this.changeapplyitemName = changeapplyitemName;
    }

    public String getChangeapplyitemName()
    {
        return changeapplyitemName;
    }
    public void setChangeapplyitemType(String changeapplyitemType)
    {
        this.changeapplyitemType = changeapplyitemType;
    }

    public String getChangeapplyitemType()
    {
        return changeapplyitemType;
    }
    public void setChangeapplyitemUnit(String changeapplyitemUnit)
    {
        this.changeapplyitemUnit = changeapplyitemUnit;
    }

    public String getChangeapplyitemUnit()
    {
        return changeapplyitemUnit;
    }
    public void setChangeapplyitemSpec(String changeapplyitemSpec)
    {
        this.changeapplyitemSpec = changeapplyitemSpec;
    }

    public String getChangeapplyitemSpec()
    {
        return changeapplyitemSpec;
    }
    public void setChangeapplyitemNum(BigDecimal changeapplyitemNum)
    {
        this.changeapplyitemNum = changeapplyitemNum;
    }

    public BigDecimal getChangeapplyitemNum()
    {
        return changeapplyitemNum;
    }
    public void setChangeapplyitemPriceunit(BigDecimal changeapplyitemPriceunit)
    {
        this.changeapplyitemPriceunit = changeapplyitemPriceunit;
    }

    public BigDecimal getChangeapplyitemPriceunit()
    {
        return changeapplyitemPriceunit;
    }
    public void setChangeapplyitemPricetotal(BigDecimal changeapplyitemPricetotal)
    {
        this.changeapplyitemPricetotal = changeapplyitemPricetotal;
    }

    public BigDecimal getChangeapplyitemPricetotal()
    {
        return changeapplyitemPricetotal;
    }
    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("changeapplyitemId", getChangeapplyitemId())
            .append("changeapplyId", getChangeapplyId())
            .append("goodsId", getGoodsId())
            .append("warehouseId", getWarehouseId())
            .append("changeapplyitemName", getChangeapplyitemName())
            .append("changeapplyitemType", getChangeapplyitemType())
            .append("changeapplyitemUnit", getChangeapplyitemUnit())
            .append("changeapplyitemSpec", getChangeapplyitemSpec())
            .append("changeapplyitemNum", getChangeapplyitemNum())
            .append("changeapplyitemPriceunit", getChangeapplyitemPriceunit())
            .append("changeapplyitemPricetotal", getChangeapplyitemPricetotal())
            .toString();
    }
}
